//+------------------------------------------------------------------+
//|                                                      example.mq4 |
//|                                         Copyright  2009, Wolfe. |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Wolfe."

extern int RSI_Period    = 14;
extern int RSI_TimeFrame = 0;
bool       Show_Comments = true;

#define Array_Length 10000
double RSI_Array[Array_Length];                         
void Write_To_RSI_Array(int period, int applied_price)                          
  {                                           
   for ( int i = Array_Length-1; i > 0; i-- )        
   RSI_Array[i] = RSI_Array[i-1];                   
   RSI_Array[0] = iRSI(Symbol(),0,period,applied_price,0); 
  }                                           
void Clear_RSI_Array()                             
  {                                                   
    for ( int i = Array_Length-1; i >= 0; i-- )      
    RSI_Array[i] = 0;                            
  }
  
double Current_RSI, Previous_RSI;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
  
   Clear_RSI_Array();

   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
   
   Clear_RSI_Array();
   
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
  
   Write_To_RSI_Array(RSI_Period, RSI_TimeFrame);
   
   Current_RSI  = RSI_Array[0];
   Previous_RSI = RSI_Array[1];
   
   
   if(Show_Comments == true)
   {
   Comment("\nRSI PERIOD (",RSI_Period,")  RSI TIMEFRAME (",RSI_TimeFrame,")",
           "\n",
           "\n",
           "\nRSI Value Current =  ",RSI_Array[0],
           "\nRSI Value -1 Tick =  ",RSI_Array[1],
           "\nRSI Value -2 Tick =  ",RSI_Array[2],
           "\nRSI Value -3 Tick =  ",RSI_Array[3],
           "\nRSI Value -4 Tick =  ",RSI_Array[4],
           "\nRSI Value -5 Tick =  ",RSI_Array[5]);
    }
           
   
    if((Previous_RSI > 80) && (Current_RSI < 80))
      {
       //Sell code here
      }      
   
   
   return(0);
  }
//+------------------------------------------------------------------+